Devuan bug report logs - #351
kopano-search: service kopano-search start: Unable to change working directory ([Errno 2] No such file or directory: '/var/lib/kopano/empty'

Package: kopano-search; Severity: grave; Reported by: alex1452 <alex1452@gmx.net>; dated Thu, 12 Sep 2019 16:03:02 UTC; Maintainer for kopano-search is (unknown).


Message received at submit@bugs.devuan.org:


Received: (at submit) by bugs.devuan.org; 12 Sep 2019 16:00:02 +0000
From: alex1452 <alex1452@gmx.net>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: kopano-search: service kopano-search start: Unable to change working directory ([Errno 2] No such file or directory: '/var/lib/kopano/empty'
Date: Thu, 12 Sep 2019 23:56:58 +0800

Package: kopano-search
Version: 8.7.0-3
Severity: grave

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***


-- System Information:
Architecture: x86_64

Kernel: Linux 4.19.62 (SMP w/4 CPU cores)
Locale: LANG=C, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE=C (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages kopano-search depends on:
ii  catdoc               1:0.95-4.1
ii  file                 1:5.35-4
ii  gawk                 1:4.2.1+dfsg-1
ii  init-system-helpers  1.56+devuan1
ii  kopano-common        8.7.0-3
ii  lsb-base             10.2019051400
ii  poppler-utils        0.71.0-5
ii  python3              3.7.3-1
ii  python3-bsddb3       6.2.6-3
ii  python3-dateutil     2.7.3-3
ii  python3-kopano       8.7.0-3
ii  python3-magic        2:0.4.15-2
ii  python3-xapian       1.4.11-2
ii  unzip                6.0-23+deb10u1
ii  w3m                  0.5.3-37
ii  xsltproc             1.1.32-2.1~deb10u1

kopano-search recommends no packages.

kopano-search suggests no packages.

-- Configuration Files:
/etc/init.d/kopano-search changed:
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
SEARCH=/usr/sbin/kopano-search
DESC="Kopano search"
NAME=`basename $SEARCH`
PIDFILE=/var/run/$NAME.pid
test -x $SEARCH || exit 0
if [ -f /etc/default/kopano ] ; then
    . /etc/default/kopano
fi
if [ -z "$KOPANO_LOCALE" ]; then
    KOPANO_LOCALE="C"
fi
if [ -e "$SEARCH_CONFIG" ]; then
    SEARCH_OPTS="$SEARCH_OPTS -c $SEARCH_CONFIG"
fi
. /lib/lsb/init-functions
case "$1" in
    start)
        if [ "$SEARCH_ENABLED" = "no" ]; then
            log_warning_msg "Kopano Search daemon not enabled in /etc/default/kopano ... not starting"
            exit 0
        fi
        log_begin_msg "Starting $DESC: $NAME"
        export LC_ALL=$KOPANO_LOCALE
        export LANG=$KOPANO_LOCALE
        start-stop-daemon --start $QUIETDAEMON --pidfile $PIDFILE --exec /usr/bin/python3 $SEARCH -- $SEARCH_OPTS
        log_end_msg $?
        unset LC_ALL LANG
    ;;
    stop)
        log_begin_msg "Stopping $DESC: $NAME"
        start-stop-daemon --stop $QUIETDAEMON --pidfile $PIDFILE --retry TERM/15/KILL --exec /usr/bin/python3 $SEARCH
        RETVAL=$?
        rm -f $PIDFILE
        log_end_msg $RETVAL
    ;;
    restart)
        $0 stop
        $0 start
    ;;
    status)
        status_of_proc "$SEARCH" "$NAME" && exit 0 || exit $?
    ;;
   
    reload|force-reload)
        log_begin_msg "Reloading $DESC: $NAME"
        start-stop-daemon --stop $QUIETDAEMON --signal HUP --pidfile $PIDFILE --exec /usr/bin/python3 $SEARCH
        log_end_msg $?
    ;;
    *)
        N=/etc/init.d/$NAME
        echo "Usage: $N {start|stop|restart|reload|force-reload|status}" >&2
        exit 1
    ;;
esac
exit 0


-- no debconf information

Error message:
service kopano-search start
[....] Starting Kopano search: kopano-search2019-09-12 23:36:54,523 - search - ERROR - Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 579, in change_working_directory
    os.chdir(directory)
FileNotFoundError: [Errno 2] No such file or directory: '/var/lib/kopano/empty'

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/kopano/log.py", line 103, in log_exc
    try: yield
  File "/usr/lib/python3/dist-packages/kopano/service.py", line 180, in start
    _daemonize(self.main, options=self.options, log=self.log, config=self.config, service=self)
  File "/usr/lib/python3/dist-packages/kopano/service.py", line 111, in _daemonize
    stderr=sys.stderr,
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 390, in __enter__
    self.open()
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 365, in open
    change_working_directory(self.working_directory)
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 583, in change_working_directory
    raise error
  File "/usr/lib/python3/dist-packages/daemon/daemon.py", line 579, in change_working_directory
    os.chdir(directory)
daemon.daemon.DaemonOSEnvironmentError: Unable to change working directory ([Errno 2] No such file or directory: '/var/lib/kopano/empty')

. ok



Acknowledgement sent to alex1452 <alex1452@gmx.net>:
New bug report received and forwarded. Copy sent to owner@bugs.devuan.org. Full text available.


Report forwarded to devuan-bugs@lists.dyne.org, owner@bugs.devuan.org:
bug#351; Package kopano-search. Full text available.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri, 15 Nov 2019 01:39:01 UTC